classification
Title: Aifc markers write fix
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Oleg.Plakhotnyuk, ezio.melotti, python-dev, r.david.murray, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-12-13 19:08 by Oleg.Plakhotnyuk, last changed 2012-01-01 21:55 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
aifc_markers.patch Oleg.Plakhotnyuk, 2011-12-13 19:08 review
Messages (2)
msg149402 - (view) Author: Oleg Plakhotnyuk (Oleg.Plakhotnyuk) * Date: 2011-12-13 19:08
1. Markers serialization test coverage improved.
2. Marker name changed from string to bytes, because _write_string function uses bytes.
3. Check for closed file handle moved to 'close' method, because otherwise  I caught 'attempt to write to closed file' error.
msg150443 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-01 21:54
New changeset c7a4405835e8 by Sandro Tosi in branch '3.2':
Issue #13594: various fixes to aifc module; patch by Oleg Plakhotnyuk
http://hg.python.org/cpython/rev/c7a4405835e8
History
Date User Action Args
2012-01-01 21:55:17sandro.tosisetstatus: open -> closed
nosy: + sandro.tosi

resolution: fixed
stage: patch review -> resolved
2012-01-01 21:54:25python-devsetnosy: + python-dev
messages: + msg150443
2011-12-15 14:13:05pitrousetstage: patch review
2011-12-13 19:08:06Oleg.Plakhotnyukcreate